package com.jxml.quick.util.qiml2java;
import com.jxml.quick.model.qiml.*;
import com.jxml.quick.ocm.*;
import com.jxml.quick.*;
import org.xml.sax.*;
import java.io.*;
import java.util.*;

public class QCTargetEditor extends OCMtemplate
{
	String var;

	public void cvt(Object param)
		throws SAXException, IOException
	{
		var=(String)param;
		expand("template");
	}

	public String process(String templateName, String arg)
		throws SAXException, IOException
	{
		if("var".equals(arg))
			return var;
		TargetEditor dm=(TargetEditor)dataModel;
		if("target".equals(arg))
			return dm.getEditorTargetClass_15();
		if("editor".equals(arg))
			return dm.getEditorClass_16();
                ArrayList al=dm.getValue_17();
                for(int i=0;i<al.size();i++)
                {
			Value v=(Value)al.get(i);
			doCvt(v,var);
                }
		return "";
	}
}
